嘉宾的报名及其二维码(来自邮件中的链接)
POST
/v1/registrations/view
const url = 'https://api.vimine.network/v1/registrations/view';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"token":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.vimine.network/v1/registrations/view \ --header 'Content-Type: application/json' \ --data '{ "token": "example" }'读取嘉宾在名额确认后收到的链接中的令牌所指向的报名:返回其 status,以及在已确认期间用于入场时出示的二维码 token。不做任何更改。链接在活动结束之前一直有效——即活动结束后 12 小时为止;没有结束时间的活动,则到开始后一天为止——以使用链接时活动的安排为准,因此活动改期后链接依然有效。已取消或已退款的报名只返回其状态,不带二维码。当事人的 note 绝不包含在此响应中。
参数
章节“参数”查询参数
章节“查询参数”locale
读取协会文案所用的语言(it、en)。默认依次为:会员自己的语言(使用会员令牌时)、Accept-Language、协会的语言。每段文本在协会用已启用的该语言撰写了译文时返回译文,否则返回其意大利语文本:响应中的 locale 说明标题实际返回的是哪种语言,locales 说明有哪些语言。不支持的值会被忽略
string
请求体必填
章节“请求体必填”媒体类型application/json
object
token
必填
string
示例自动生成
{ "token": "example"}响应
章节“响应”200
章节“200”该报名
媒体类型application/json
object
id
string 格式: uuid
status
string
event
object
id
string
slug
string
title
string
starts_at
string 格式: date-time
ends_at
string 格式: date-time
timezone
string
status
string
location
string
registration_type
object
uid
string
cod
string
name
string
amount
number
currency
string
quantity
integer
reserved_until
string 格式: date-time
checked_in_at
string 格式: date-time
cancelled_at
string 格式: date-time
cancel_reason
string
can_cancel
boolean
payment
object
status
string
amount
number
currency
string
method
string
paid_at
string 格式: date-time
payment_instructions
保留期间如何缴纳参与费
string
note
当事人填写的自由文本。如果协会声明其处理特殊类别的数据,则对第三方客户端隐去(null)
string
created_at
string 格式: date-time
token
报名的二维码内容(vmt_…),仅限已确认的报名
string
示例
{ "status": "reserved"}400
章节“400”链接无效或已过期(invalid_token)
404
章节“404”未找到
媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}429
章节“429”已触发速率限制
媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}500
章节“500”内部错误
媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}